List behaviour attributes
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/behavior-attributes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/behavior-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/behavior-attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"key": "<string>",
"label": "<string>",
"description": "<string>",
"show_on_website": true,
"show_on_kennel_card": true,
"disclose_on_adoption": true,
"disclosure": "<string>",
"sort_order": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Behaviour attributes
List behaviour attributes
Every attribute in the catalogue, the ones in use first, then in their sort order and by name. An animal’s traits are free text; a trait that matches an attribute’s key or name takes that attribute’s settings. Needs read on Animals.
GET
/
api
/
animals
/
behavior-attributes
List behaviour attributes
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/behavior-attributes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/behavior-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/behavior-attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"key": "<string>",
"label": "<string>",
"description": "<string>",
"show_on_website": true,
"show_on_kennel_card": true,
"disclose_on_adoption": true,
"disclosure": "<string>",
"sort_order": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}